Bug 850 - koi8-r fonts are really koi8-1
: koi8-r fonts are really koi8-1
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/XFree86-cyr_rfx-fonts-koi8-r)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-04-16 17:05 by
Modified: 2007-09-22 14:08 (History)


Attachments
0000850-fontprop.c (deleted)
2002-04-16 17:05, Sir Raorn
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-04-16 17:05:45
CHARSET_ENCODIG прописанный в файле шрифта на самом деле \"1\", а не
\"r\" и поэтому через XGetFontProperty(3X11) такие шрифты
определяются как \"koi8-1\".
---

---
Вот простенькая прога ((C) Alexander Malmberg), грузит фонт и показывает его
проперти. Например:
gcc -o fontprop fontprop.c -L/usr/X11R6/lib -lX11
./fontprop \"-*-helvetica-medium-r-normal--12-*-*-*-p-*-koi8-r\"
------- Comment #1 From 2003-09-23 22:06:47 -------
Эта ошибка еще актуальна ?
------- Comment #2 From 2003-09-24 13:15:52 -------
fixed. уже давно.
------- Comment #3 From 2003-09-24 14:01:14 -------
Нет, не fixed, в самих файлах шрифтов CHARSET_ENCODING стоит "1". Вот
changelog:

* Sun Nov 10 2002 Stanislav Ievlev <inger@> 1.1-alt6
- rebuild
* Wed Apr 17 2002 Stanislav Ievlev <inger@> 1.1-alt5
- fixed sources names
* Tue Apr 16 2002 AEN <aen@> 1.1-alt4
- back to alt2
* Tue Apr 16 2002 AEN <aen@> 1.1-alt3
- CHARSET_ENCODING changed to "r"

P.S. И куда делся аттачмент?
------- Comment #4 From 2003-09-24 18:34:10 -------
Это действительно шрифты koi8-1, потому CHARSET_ENCODING менять нельзя.
А вот koi8-1 в XFLD, с которым были проблемы, исправлен.
Я хотел бы получить описание _проблем_ с этими шрифтами, так как заголовок и
текст "ошибки" полностью ссоответствуют реалиям и ошибкой не являются.
Если же проблем нет, то завтра снова закрою эту багу.
------- Comment #5 From 2004-05-24 14:59:42 -------
не пора ли закрыть эту багу? 
 
------- Comment #6 From 2004-10-05 15:43:37 -------
Завтра ещё не наступило ;)
------- Comment #7 From 2006-12-16 19:58:57 -------
Да наступит завтра! :)